/* 
  USE 2 SPACES!!!
 */

html, body {
  margin: 0px;
  height: 100%;
  width: 100%;
  color: #fff;
  background: #111;
  font-family: 'Open Sans', sans-serif;
  overflow: hidden;
}

/* Стили для всех панелей */
.menu {
  position: absolute;
  background: #555;
  border: solid 1px #999;
  border-radius: 10px;
}

/* ================== */

/*
  margin: 10px;
  
      ╔=======================================================╗  \
      ║                      top-menu                         ║    36px
      ╚=======================================================╝  /
      ╔=╗╔=========================================╗╔=========╗
      ║ ║║                                         ║║         ║
      ║ ║║                                         ║║         ║
      ║ ║║                                         ║║         ║
     left║              center-menu                ║║  right  ║
      ║ ║║                                         ║║         ║
      ║ ║║                                         ║║         ║
      ║ ║║                                         ║║         ║
      ╚=╝╚===================75%===================╝╚===25%===╝\ 10px
 16px/╔=======================================================╗/
     \╚====================bottom-menu========================╝
      \ /                                          \/
      46px                                        10px

*/

.top-menu {
  top: 0;
  left: 0;
  right: 0;
  
  height: 36px;
  
  border-top: none;
  border-left: none;
  border-right: none;
  
  border-radius: 0px;
}

.left-menu {
  top: calc(36px + 10px);
  left: 0;
  bottom: calc(16px + 10px);
  
  width: 46px;
  
  border-left: none;
  
  border-top-left-radius: 0px;
  border-bottom-left-radius: 0px;
}

.center-menu {
  top: calc(36px + 10px);
  left: calc(46px + 10px);
  bottom: calc(16px + 10px);
  /*
	46 + 20 + x*0.75 + x*0.25 = width 
	x * 0.75 = width * 0.75 - 46 * 0.75 - 20 * 0.75
  */
  width: calc(100% * 0.75 - 10px * 0.75 - 10px * 0.75 - 46px * 0.75);
}

.right-menu {
  top: calc(36px + 10px);
  right: 0;
  bottom: calc(16px + 10px);
  
  /*
	46 + 20 + x*0.75 + x*0.25 = width 
	x * 0.25 = width * 0.25 - 46 * 0.25 - 20 * 0.25
  */
  width: calc(100% * 0.25 - 10px * 0.25 - 10px * 0.25 - 46px * 0.25);
  
  border-right: none;
  
  border-top-right-radius: 0px;
  border-bottom-right-radius: 0px;
}

.bottom-menu {
  left: 0;
  right: 0;
  bottom: 0;
  
  height: 16px;
  
  border-bottom: none;
  border-left: none;
  border-right: none;
  
  border-radius: 0px;
}

/* ================== */



/* Стили для кнопок на левой панели */

.left-menu button {
  margin: 2px;
  padding: 1px;
  
  height: calc(46px - 2px * 2);
  width: calc(46px - 2px * 2);
  
  border-color: #bbb;
  background: #fff;
  
  border-radius: 10px;
  
  background-size: 38.8px;
}

.left-menu button:hover {
  filter:brightness(0.8);
}

.left-menu button img {
  height: 100%;
  width: 100%;
  border-radius: 10px;
}

/* ================== */

/* Стили для верхней панели */


.top-menu {
	padding: 0 5px;
}

.top-menu img {
  margin: 4px;

  width: 28px;
  height: 28px;
  border-radius: 3px;
  vertical-align: middle;
}

.top-menu .dline {
  height: 100%;
  width: 0;
  border-left: 1px solid #999;
  display: inline-block;
  vertical-align: middle;
  margin: 0 5px;
}

.top-menu input {
  background: #0004;
  color: #fff;
  width: 100px;
  vertical-align: middle;
}

.top-menu input[type="checkbox"] {
  width: 10px;
}

/* ================== */

/* Стили для центральной панели */

.center-menu canvas {
  width: 100%;
  height: 100%;
}

/* Выбор файла для импорта внутри центральной панели */
#select_file {
	height: 100%;
	width: 100%;
	overflow: auto;
}

#select_file input {
	margin: 5px 10px;
	width: calc(100% - 20px);
	background: #fff1;
	border-radius: 10px;
	color: #fff;
	padding: 5px;
	font-size: 16px;
}

/* ================== */

/* Стили для данных на нижней панели */

.bottom-menu {
	display: flex;
}

.bottom-menu > div {
	border-left: 1px solid #fff;
	font-size: 14px;
	flex-shrink: 0;
	padding: 0 5px 0 5px;
}

/* ================== */

/* Стили для выбора скорости */

#speed {
	position: absolute;
	margin: 8px;
	right: 0px;
	top: 0px;
	bottom: 0px;
	color: #fff;
	background: #0005;
}

#speed option {
  margin: 5px;
  background: rgba(0, 0, 0, 0.3);
  color: #fff;
  text-shadow: 0 1px 0 rgba(0, 0, 0, 0.4);
}
/* ================== */

/* Стили для правой панели */

.right-menu > div {
  margin: 10px;
  border: 1px solid #888;
  padding: 10px;
  border-radius: 10px;
  line-height: 1.5;
}

.right-menu var {
  padding: 2px 8px;
  border-radius: 20px;
  font-style: normal;
  border: 1px solid #888;
  background: #0002;
}

.right-menu input, .right-menu select {
  background: #0002;
  color: #fff;
  vertical-align: middle;
  border-radius: 20px;
  padding: 1px 5px;
  max-width: calc(100% - 20px);
}
.right-menu select option {
  margin: 5px;
  background: rgba(0, 0, 0, 0.3);
  color: #fff;
  text-shadow: 0 1px 0 rgba(0, 0, 0, 0.4);
}

.right-menu input:disabled {
  background: #0005;
}

.right-menu input[type="button"] {
  width: calc(100%);
}

.right-menu {
	overflow: auto;
}